using System;
using System.EnterpriseServices;
using System.Web.Services;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    public class Rule2212 : ServicedComponent
    {
        private string name = "Rule2212";

        // このメソッドは CA2212 に違反しています。
        [WebMethod]
        public override string ToString()
        {
            return this.name;
        }
    }
}
